Windows build script now automatically installs/updates package dependencies.

This commit is contained in:
Joe Testa 2023-04-25 20:14:49 -04:00
parent 0bfb5d6979
commit 4c098b7d12
2 changed files with 6 additions and 17 deletions

View File

@ -4,15 +4,9 @@ An executable can only be made on a Windows host because the PyInstaller tool (h
1.) Install Python v3.11.x from https://www.python.org/. To make life easier, check the option to add Python to the PATH environment variable.
2.) Using pip, install pyinstaller, colorama, and idna:
2.) Install Cygwin (https://www.cygwin.com/).
```
pip install -U pyinstaller colorama idna
```
3.) Install Cygwin (https://www.cygwin.com/).
4.) Create the executable with:
3.) Install/update package dependencies and create the executable with:
```
$ ./build_windows_executable.sh

View File

@ -48,15 +48,10 @@ if [[ "$(python -V)" != "Python 3."* ]]; then
exit 1
fi
# Ensure that pyinstaller is installed.
command -v pyinstaller >/dev/null 2>&1 || { echo >&2 "pyinstaller not found. Install with: 'pip install pyinstaller'"; exit 1; }
# Ensure that the colorama module is installed.
X=$(pip show colorama 2>/dev/null)
if [[ $? != 0 ]]; then
echo "Colorama module not found. Install with: 'pip install colorama'"
exit 1
fi
# Install/update package dependencies.
echo "Installing/updating pyinstaller, colorama, and idna packages..."
pip install -U pyinstaller colorama idna
echo
# Prompt for the version to release.
echo -n "Enter the version to release, using format 'vX.X.X': "